@import url('https://fonts.googleapis.com/css2?family=Hepta+Slab:wght@1..900&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');
@font-face {
    font-family: 'Helvetica Neue';
    src: local('Helvetica Neue Medium'), local('Helvetica-Neue-Medium'),
        url('../fonts/HelveticaNeueCyr-Medium.woff2') format('woff2'),
        url('../fonts/HelveticaNeueCyr-Medium.woff') format('woff'),
        url('../fonts/HelveticaNeueCyr-Medium.ttf') format('truetype');
    font-weight: 500;
    font-style: normal;
  }
  @font-face {
    font-family: 'Helvetica Neue';
    src: local('Helvetica Neue Roman'), local('Helvetica-Neue-Roman'),
        url('../fonts/HelveticaNeueCyr-Roman.woff2') format('woff2'),
        url('../fonts/HelveticaNeueCyr-Roman.woff') format('woff'),
        url('../fonts/HelveticaNeueCyr-Roman.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
  }

 * { box-sizing: border-box; margin: 0; padding: 0; }
    body {
      background: #fff;
      color: #211D1D;
    }
    .wrap-header{
        position: relative;
        height: 95vh;
    }
    header {
      color: #fff;
      text-align: center;
      padding-top: 36px;
      position: relative;
    }
    header img.logo {
      height: 40px;
      margin-bottom: 24px;
      position: relative;
      z-index: 5;
      margin-bottom: 140px;
    }
    header h1 {
      font-size: 44px;
      font-weight: 600;
      font-family: "Hepta Slab", serif;
      margin: 0 auto;
      position: relative;
      z-index: 5;
    }
    .hero-image {
      width: 100%;
      height: 100%;
      object-fit: cover;
      display: block;
          position: absolute;
    top: 0;
    }
    main {
      max-width: 900px;
      margin: 48px auto;
      display: flex;
      flex-direction: column;
      align-items: center;
      padding: 0 16px;
    }
    main h2 {
      font-size: 44px;
      font-family: "Hepta Slab", serif;
      font-weight: 600;
      text-align: center;
      color: #2F2E27;
      margin-bottom: 20px;
    }
    main p.subtitle {
       font-family: 'Helvetica Neue';
       font-weight: 500;
      text-align: center;
      color: #2F2E27;
      max-width: 392px;
      margin-bottom: 28px;
    }
    form {
      display: grid;
      max-width: 635px;
      gap: 40px;
    }
    label {
       font-family: "Inter", sans-serif;
      font-size: 18px;
      font-weight: 400;
      color: #211D1D;
      line-height: 130%;
    }
    label span{
      color: #FFCB23;
    }
    input[type="text"],
    input[type="email"],
    input[type="tel"] {
      width: 100%;
      margin-top: 14px;
      padding: 12px 14px;
      border-radius: 6px;
      border: 1px solid #ddd;
      font-size: 14px;
    }
    .upload {
             font-family: 'Helvetica Neue';
       font-weight: 500;
      display: inline-block;
      background: #111;
      color: #fff;
      padding: 10px 16px;
      border-radius: 6px;
      cursor: pointer;
      font-size: 18px;
      margin-top: 14px;
      width: fit-content;
    }
.radio {
  display: inline-flex;
  align-items: center;
  gap: 10px;
  font-size: 14px;
  cursor: pointer;
  user-select: none;
}

.radio input {
  display: none;
}

.radio-mark {
  width: 20px;
  height: 20px;
  background: #18181B;
  border-radius: 50%;
  position: relative;
}

.radio-mark::after {
  content: "";
  width: 10px;
  height: 10px;
  background: #fff;
  border-radius: 50%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(1.7);
  transition: transform 0.2s ease;
}

.radio input:checked + .radio-mark::after {
  transform: translate(-50%, -50%) scale(1);
}

/* Скрываем стандартный чекбокс */
.checkbox input[type="checkbox"] {
  position: absolute;
  opacity: 0;
  width: 0;
  height: 0;
}

/* Стили для кастомного квадрата */
.checkbox label {
  display: flex;
  align-items: center;
  cursor: pointer;
  gap: 8px; /* расстояние между галочкой и текстом */
  user-select: none;
}

.checkbox label span::before {
  margin-right: 8px;
  content: "";
  display: inline-block;
  width: 20px;
  height: 20px;
  border: 2px solid black;
  border-radius: 4px;
  background: transparent;
  box-sizing: border-box;
  flex-shrink: 0; /* чтобы не сжимался */
}

/* Галочка */
.checkbox input[type="checkbox"]:checked + span::after {
  content: "";
  position: absolute;
  width: 3px;
  height: 12px;
  border: solid black;
  border-width: 0 2px 2px 0;
  transform: rotate(45deg);
  left: 8px;
  top: 3px;
}
.check-span{
  position: relative;
font-weight: 400;
font-size: 18px;
line-height: 130%;
color: #000000;
}
    input[type="file"] { display: none; }
    .radio-group {
      display: flex;
      gap: 12px;
      margin-top: 16px;
      align-items: center;
      align-items: flex-start;
    flex-direction: column;
    }
    .checkbox {
      font-family: 'Helvetica Neue';
      font-weight: 400;
      color: #000000;
      display: flex;
      gap: 8px;
      font-size:18px;
      align-items: flex-start;
    }
    .wrap-btn{
      width: 100%;
      display: flex;
      justify-content: center;
    }
    button {
      font-family: 'Helvetica Neue';
      font-weight: 500;
      margin-top: 16px;
      padding: 20px 40px;
      max-width: 322px;
      font-size: 24px;
      height: 64px;
      border-radius: 8px;
      border: none;
      background: #222;
      color: #fff;
      cursor: pointer;
      display: flex;
      align-items: center;
      justify-content: center;
    }
    button:hover { background: #000; }
    footer {
      margin-top: 64px;
      margin-left: 56px;
      margin-right: 56px;
      margin-bottom: 36px;
      font-size: 13px;
      color: #666;
    }
    footer img { height: 56px; }
    footer .links a {
      margin-left: 16px;
      color: #666;
      text-decoration: none;
    }
.wrap-policy{
  border-radius: 0 0 16px 16px;
  background: #ffcc23;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 12px 43px;
}
.wrap-content-footer{
  padding: 40px;
  display: flex;
  justify-content: space-between;
  border: 1px solid #ffcc23;
  align-items: center;
  border-radius: 16px 16px 0 0;
  background: linear-gradient(90deg, #eaeaea 0%, #ebebeb 16.5%, #eaeaea 27.39%, #eaeaea 37.89%, #eaeaea 44.86%, #e9e9e9 51.44%, #e8e8e8 57.18%, #e6e6e6 62.96%, #e5e5e5 69.54%, #e2e2e2 76.92%, #e0e0e0 83.27%, #dadada 90.76%, #d8d8d8 95.7%, #d5d5d5 100%);
}
.wrap-social{
display: flex;
gap: 32px;
}
.wrap-social img{
  width: 24px;
  height: 24px;
}
.wrap-policy p{
      font-family: 'Helvetica Neue';
      font-weight: 400;
      font-size: 18px;
      line-height: 100%;
      color: #64635d;
}
.wrap-policy a{
      font-family: 'Helvetica Neue';
font-weight: 500;
font-size: 18px;
line-height: 100%;
text-align: center;
color: #2f2e27;
}

@media (max-width: 1000px) {
  header h1, main h2{
    font-size: 32px;
  }
}
@media (max-width: 750px){
header h1, main h2{
  font-size: 28px;
  padding: 0px 16px;
}
.wrap-content-footer{
  flex-direction: column;
  padding: 16px;
  gap: 25px;
}
.wrap-policy{
  padding: 16px 16px;
  gap: 16px;
    flex-direction: column;
}
.wrap-policy p{
  font-size: 14px;
}
footer .links a{
  font-size: 14px;
}
.links{
  display: flex;
  flex-direction: column;
  gap: 12px;
}
button{
  height: 50px;
  width: 100%;
        max-width: 100%;
}
footer{
      margin-left: 16px;
    margin-right: 16px;
}
}